Package eu.mhsl.minenet.minigames.message

# Class TranslatableMessage

java.lang.Object
eu.mhsl.minenet.minigames.message.TranslatableMessage

All Implemented Interfaces:
  `Sendable`

Direct Known Subclasses:
  `ActionBarMessage`, `ChatMessage`, `SubtitleMessage`, `TitleMessage`

public abstract class TranslatableMessage extends Object implements Sendable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TranslatableMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TranslatableMessage`
  `appendStatic(String text)`
  `TranslatableMessage`
  `appendStatic(net.kyori.adventure.text.Component component)`
  `TranslatableMessage`
  `appendTranslated(String mapId)`
  `net.kyori.adventure.text.Component`
  `build(net.minestom.server.entity.Player p)`
  `TranslatableMessage`
  `indent(int amount)`
  `TranslatableMessage`
  `list(List<String> list)`
  `TranslatableMessage`
  `newLine()`
  `TranslatableMessage`
  `pipe()`
  `TranslatableMessage`
  `quote(String text)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface eu.mhsl.minenet.minigames.message.Sendable

  `send, send, send, send`

- ## Constructor Details

  - ### TranslatableMessage

    public TranslatableMessage()

- ## Method Details

  - ### appendStatic

    public TranslatableMessage appendStatic(net.kyori.adventure.text.Component component)

  - ### appendStatic

    public TranslatableMessage appendStatic(String text)

  - ### appendTranslated

    public TranslatableMessage appendTranslated(String mapId)

  - ### list

    public TranslatableMessage list(List<String> list)

  - ### pipe

    public TranslatableMessage pipe()

  - ### quote

    public TranslatableMessage quote(String text)

  - ### indent

    public TranslatableMessage indent(int amount)

  - ### newLine

    public TranslatableMessage newLine()

  - ### build

    public net.kyori.adventure.text.Component build(net.minestom.server.entity.Player p)